<div class="container bg-light">
  <div class="row pt-5 mb-4">
    <div class="col col-md-8 text-center">
      <h1>Olá {{usuarioLogado.nome}}</h1>
    </div>
    <div class="col col-md-4 text-end">
      <div class="btn-group">
        <i class="far fa-user-circle fa-3x pointer" (click)="showMenu()"></i>
        <ul *ngIf="showdropdown">
          <li><button class="dropdown-item" (click)="delete()">Deletar este usuário</button></li>
          <li><button class="dropdown-item" (click)="sair()">Sair</button></li>
        </ul>
      </div>
    </div>
  </div>
  <div class="row mb-3">
    <div class="col-12 mb-3">
      <div class="card">
        <div class="card-header">
          Média de preço de combustível agrupados por distribuidora
        </div>
        <div class="card-body tabelagrande">
          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text" for="Distribuidora">
                Distribuidora
              </span>
            </div>
            <select class="custom-select pl-1" id="Distribuidora" [(ngModel)]="distribuidoraSelecionada" (ngModelChange)="getDistribuidora()"
              style="max-width: -webkit-fill-available;">
              <option *ngFor="let dist of listDistribuidoras" value="{{dist}}">{{dist}}
              </option>
            </select>
          </div>
          <div class="row">
            <div class="col-6">
              <div class="input-group mb-3 mt-2" *ngIf="distribuidoraSelecionada">
                <div class="input-group-prepend">
                    <span class="input-group-text" id="mediaCompraByDist">
                        Média Compra
                    </span>
                </div>
                <input class="form-control" disabled type="number" placeholder="0,00" [value]="mediaCompraByDist">
              </div>
            </div>
            <div class="col-6">
              <div class="input-group mb-3 mt-2" *ngIf="distribuidoraSelecionada">
                <div class="input-group-prepend">
                    <span class="input-group-text" id="mediaVendaByDist">
                        Média Venda
                    </span>
                </div>
                <input class="form-control" disabled type="number" placeholder="0,00" [value]="mediaVendaByDist">
              </div>
            </div>
          </div>
          <button class="btn btn-sm btn-primary" [disabled]="dadosBydist.length==0" (click)="mostrarTabela=!mostrarTabela">Mostrar/Esconder tabela de preços</button>

          <table class="table" *ngIf="distribuidoraSelecionada && dadosBydist.length>0 && mostrarTabela" >
            <thead>
              <tr>
                <th scope="col" *ngFor="let header of listheadersByDist">{{header}}</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let dado of dadosBydist">
                <td>{{dado.bandeira}}</td>
                <td>{{dado.codInstalacao}}</td>
                <td>{{dado.dataColeta | date:'dd/MM/yyyy HH:mm:ss'}}</td>
                <td>{{dado.municipio}}</td>
                <td>{{dado.produto}}</td>
                <td>{{dado.revendedora}}</td>
                <td>{{dado.siglaEstado}}</td>
                <td>{{dado.siglaRegiao}}</td>
                <td>{{dado.unidadeMedida}}</td>
                <td>{{dado.valorCompra | currency}}</td>
                <td>{{dado.valorVenda | currency}}</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
    <div class="col-md-6 col-12 mr-2">
      <div class="card">
        <div class="card-header">
          Histórico de preço de combustível
        </div>
        <div class="card-body">
          <combustivel></combustivel>
        </div>
      </div>
    </div>
    <div class="col-md-6 col-12">
      <div class="row">
        <div class="col-12 mb-3">
          <div class="card">
            <div class="card-header">
              Média de preços município
            </div>
            <div class="card-body">
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                    <span class="input-group-text" for="Município">
                        Município
                    </span>
                </div>
                <select class="custom-select pl-1" id="Município" [(ngModel)]="municipioSelecionado.atributo" (ngModelChange)="selecionarMunicipio()">
                  <option *ngFor="let municipio of listaMunicipios" value="{{municipio.atributo}}">{{municipio.atributo}}</option>
                </select>

                <!-- VALOR IGUAL A MEDIA DE VENDA -->
                <!-- <div class="input-group mb-3 mt-2" *ngIf="mediaPreco">
                  <div class="input-group-prepend">
                      <span class="input-group-text" id="mediaPreco">
                          Média Preço Combustível
                      </span>
                  </div>
                  <input class="form-control" disabled type="number" placeholder="0,00" [value]="mediaPreco">
                </div> -->

                <div class="input-group mb-3 mt-2" *ngIf="municipioSelecionado">
                  <div class="input-group-prepend">
                      <span class="input-group-text" id="mediaCompra">
                          Média Compra
                      </span>
                  </div>
                  <input class="form-control" disabled type="number" placeholder="0,00" [value]="municipioSelecionado.mediaValorCompra">
                </div>
                <div class="input-group mb-3 mt-2" *ngIf="municipioSelecionado">
                  <div class="input-group-prepend">
                      <span class="input-group-text" id="mediaVenda">
                          Média Venda
                      </span>
                  </div>
                  <input class="form-control" disabled type="number" placeholder="0,00" [value]="municipioSelecionado.mediaValorVenda">
                </div>
              </div>
            </div>
          </div>
        </div>

        <div class="col-12 mb-3">
          <div class="card">
            <div class="card-header">
              Histórico de preço de combustível
            </div>
            <div class="card-body">
              <combustivel></combustivel>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
